Package: java.time

## [Java] Class DayOfWeek

- java.time.DayOfWeek

-     public class DayOfWeek
      extends Object

  GDK enhancements for DayOfWeek.

  displayName:
    DayOfWeek
  receiverFqcn:
    java.time.DayOfWeek

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `isWeekday()` Returns `true` if the DayOfWeek is a weekday.
    `` | `public boolean` | `isWeekend()` Returns `true` if this day of the week is a weekend day (Saturday or Sunday).
    `` | `public DayOfWeek` | `minus(int days)` Returns the DayOfWeek that is `days` many days before this day of the week.
    `` | `public DayOfWeek` | `plus(int days)` Returns the DayOfWeek that is `days` many days after this day of the week.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `addShutdownHook, any, any, asBoolean, asType, collect, collect, collect, dump, each, eachMatch, eachMatch, eachWithIndex, every, every, find, find, findAll, findAll, findIndexOf, findIndexOf, findIndexValues, findIndexValues, findLastIndexOf, findLastIndexOf, findResult, findResult, findResult, findResult, getAt, getMetaClass, getMetaPropertyValues, getProperties, grep, grep, hasProperty, identity, inject, inject, inspect, invokeMethod, is, isCase, isNotCase, iterator, metaClass, print, print, printf, printf, println, println, println, putAt, respondsTo, respondsTo, setMetaClass, sleep, sleep, split, sprintf, sprintf, stream, tap, toString, use, use, use, with, with, withCloseable, withCloseable, withMethodClosure, withStream, withStream, withTraits`

- - ### Method Detail

    - #### public boolean isWeekday()

      Returns `true` if the DayOfWeek is a weekday.

      Returns:
        true if this DayOfWeek is Monday through Friday
      Since:
        2.5.0

    - #### public boolean isWeekend()

      Returns `true` if this day of the week is a weekend day (Saturday or Sunday).

      Returns:
        true if this DayOfWeek is Saturday or Sunday
      Since:
        2.5.0

    - #### public DayOfWeek minus(int days)

      Returns the DayOfWeek that is `days` many days before this day of the week.

      Parameters:
        `days` - the number of days to move back
      Returns:
        the DayOfWeek
      Since:
        2.5.0

    - #### public DayOfWeek plus(int days)

      Returns the DayOfWeek that is `days` many days after this day of the week.

      Parameters:
        `days` - the number of days to move forward
      Returns:
        the DayOfWeek
      Since:
        2.5.0